
import fileinput
from typing import Iterable

def solve(data: str) -> int:
    for idx in range(len(data)):
        if len(set(list(data[idx:idx+4]))) == 4:
            return idx + 4

def solveb(data: str) -> int:
    for idx in range(len(data)):
        if len(set(list(data[idx:idx+14]))) == 14:
            return idx + 14

if __name__ == "__main__":
    with fileinput.input() as f:
        data = f.readline()
    print(solve(data))
    print(solveb(data))
